Page MenuHomePhabricator

[OpenMP][Stats] Fix stats gathering for distribute and team clause
ClosedPublic

Authored by jlpeyton on Mar 25 2019, 3:17 PM.

Details

Summary

The distribute clause needs an explicit push of a timer. The teams
clause needs a timer added and also, similarly to parallel, exchanged
with the serial timer when encountered so that serial regions are counted properly.

Diff Detail

Repository
rL LLVM

Event Timeline

jlpeyton created this revision.Mar 25 2019, 3:17 PM
tlwilmar accepted this revision.Apr 2 2019, 1:00 PM

LGTM

This revision is now accepted and ready to land.Apr 2 2019, 1:00 PM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptApr 3 2019, 11:54 AM